エンジンの提案がエンジンと競合しています
この問題が発生すると、APIは409 Conflictを返します。そのtypeはhttps://lingo.dev/docs/api/errors/engine-suggestion-conflictsです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
このエンジンの提案は適用できません。<detail>
フィールド#
レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
reason | GlossaryTermsTaken | GlossaryTermTranslationTaken | GlossaryTermsCreatedConcurrently | BrandVoiceVariationLocaleTaken |
例#
json
{
"detail": "Cannot apply this engine suggestion. <detail>",
"id": "<id>",
"reason": {
"detail": "<detail>",
"instance": "<instance>",
"texts": [
"<texts>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-terms-taken",
"status": 409,
"title": "Glossary terms taken"
},
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-conflicts",
"status": 409,
"title": "Engine suggestion conflicts with engine"
}このエラーを返すエンドポイント#
POST /v2/engine-suggestions/{id}/apply